error in installing cosmomc

Use of Healpix, camb, CLASS, cosmomc, compilers, etc.
Post Reply
moslem zarei
Posts: 28
Joined: March 11 2008
Affiliation: Isfahan University of Technology
Contact:

error in installing cosmomc

Post by moslem zarei » April 02 2008

Hi
I am trying to run the final step of installing the cosmomc but I encounter the following error:

Code: Select all

[zareie@localhost source] make all 
ifort -O2  -ip -W0 -WB -fpp -I/home/zareie/Desktop/cfitsio/include -I/home/zareie/Desktop/likelihood_v3 -I../camb -I/opt/intel/mkl/10.0.1.014/include -c cmbdata.F90 
fortcom: Error: cmbdata.F90, line 821: Error in opening the compiled module file.  Check INCLUDE paths.   [WMAP_PASS2] 
  use WMAP_PASS2 
------^ 
compilation aborted for cmbdata.F90 (code 1) 
make: *** [cmbdata.o] Error 1 

[zareie@localhost source]gmake all 
ifort -O2  -ip -W0 -WB -fpp -I/home/zareie/Desktop/cfitsio/include -I/home/zareie/Desktop/likelihood_v3 -I../camb -I/opt/intel/mkl/10.0.1.014/include -c cmbdata.F90 
fortcom: Error: cmbdata.F90, line 821: Error in opening the compiled module file.  Check INCLUDE paths.   [WMAP_PASS2] 
  use WMAP_PASS2 
------^ 
compilation aborted for cmbdata.F90 (code 1) 
gmake: *** [cmbdata.o] Error 1 
I will be thankfull if anybody help me.

Moslem

Antony Lewis
Posts: 1503
Joined: September 23 2004
Affiliation: University of Sussex
Contact:

Re: error in installing cosmomc

Post by Antony Lewis » April 02 2008

Looks like an old version of CosmoMC (pre-WMAP5).

moslem zarei
Posts: 28
Joined: March 11 2008
Affiliation: Isfahan University of Technology
Contact:

Re: error in installing cosmomc

Post by moslem zarei » April 02 2008

Antony Lewis wrote:Looks like an old version of CosmoMC (pre-WMAP5).
could you please explain more about it.

Pascal Vaudrevange
Posts: 50
Joined: March 26 2006
Affiliation: DESY
Contact:

error in installing cosmomc

Post by Pascal Vaudrevange » April 04 2008

You need to download the WMAP likelihood code +data from

http://lambda.gsfc.nasa.gov/product/map ... od_get.cfm

which is not included in the cosmomc package. But you have to make sure that you use the cosmomc version corresponding to the WMAP release, i.e. use cosmomc_apr08 if you want to use WMAP5yr. Then you need to point the Makefile to the directory where you installed the wmap-code.

Post Reply